Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516043 - Fedora 27 upgrade fails 100%: xmvn-launcher and aether-ant-tasks dependency problems
Summary: Fedora 27 upgrade fails 100%: xmvn-launcher and aether-ant-tasks dependency ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-resolver
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 21:52 UTC by gasserles
Modified: 2018-01-05 11:05 UTC (History)
5 users (show)

Fixed In Version: 1.1.0-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 11:05:54 UTC


Attachments (Terms of Use)

Description gasserles 2017-11-21 21:52:57 UTC
Description of problem: Can't upgrade to Fedora 27: xmvn-launcher can't be found/installed. I'm trying to upgrade
from a working Fedora 26 to Fedora 27 following instructions on this page: https://fedoraproject.org/wiki/DNF_system_upgrade

Version-Release number of selected component (if applicable): 

    xmvn-launcher-2.5.0-21.fc26.noarch        (?)
    aether-ant-tasks-1:1.0.1-6.fc26.noarch    (?)

How reproducible:

  Use "sudo dnf system-upgrade download --refresh --releasever=27" - fails every time. see below.

Steps to Reproduce:  

    sudo dnf system-upgrade download --refresh --releasever=27

Actual results:


[this-user: ~]$ sudo dnf upgrade --refresh  (also tried "dnf --refresh upgrade" per below; same result)
[sudo] password for this-user: 
Last metadata expiration check: 0:00:00 ago on Tue Nov 21 15:22:19 2017.
Dependencies resolved.
Nothing to do.
Complete!
[this-user: ~]$ sudo dnf system-upgrade download --refresh --releasever=27
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Last metadata expiration check: 0:00:00 ago on Tue Nov 21 15:22:59 2017.
Error: 
 Problem: package aether-ant-tasks-1:1.0.1-6.fc26.noarch requires xmvn-launcher, but none of the providers can be installed
  - xmvn-launcher-2.5.0-21.fc26.noarch does not belong to a distupgrade repository
  - problem with installed package aether-ant-tasks-1:1.0.1-6.fc26.noarch
[this-user: ~]$

Comment 1 gasserles 2017-11-21 22:03:32 UTC
I just saw this:

If some of your packages have unsatisfied dependencies, the upgrade will refuse to continue until you run it again with an extra --allowerasing option.

Using --allowerasing seems to have fixed this installation issue.

Comment 2 Mat Booth 2017-11-24 12:08:49 UTC
Hmm, I thought we retired aether-ant-tasks. Either way, aether-ant-tasks obsolete so I would recommend uninstalling it before attempting to upgrade to F27.

Comment 3 Michael Simacek 2017-11-27 14:18:52 UTC
aether-ant-tasks is indeed retired from f27 on, but nothing Obsoletes it (in RPM sense). I think we should add Obsoletes either to fedora-obsolete-packages or maybe ant

Comment 4 Mikolaj Izdebski 2017-11-27 17:40:50 UTC
Fixed in maven-resolver-1.1.0-2

Comment 5 Fedora Update System 2017-11-27 18:36:09 UTC
maven-resolver-1.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cde3e1f36b

Comment 6 Fedora Update System 2017-11-28 06:46:31 UTC
maven-resolver-1.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cde3e1f36b

Comment 7 Fedora Update System 2017-12-12 11:18:17 UTC
maven-resolver-1.1.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Mikolaj Izdebski 2018-01-05 11:05:54 UTC
I believe that this bug is fixed in maven-resolver-1.1.0-2,
which is available in updates for Fedora 27, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=1004618


Note You need to log in before you can comment on or make changes to this bug.